package app

import (
	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/app"
	"gitea.mmo.to/ppForge/ppforge/internal/ui"
)

var fyneApp fyne.App
var w fyne.Window

// Appmain creates the Fyne application and starts it up
func Appmain() {
	fyneApp = app.New()
	w = fyneApp.NewWindow("ProtocolPacketForger")
	w.Resize(fyne.NewSize(1024, 768))

	w.SetContent(CreateApp())

	w.ShowAndRun()
}

// CreateApp creates the PPF UI
func CreateApp() *fyne.Container {
	ppf := ui.NewPPF(fyneApp, w)
	return ppf.GetContainer()
}
